Name:          docbook-utils
Version:       0.6.14
Release:       8mamba
Summary:       Shell scripts to manage DocBook documents
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.sourceware.org/docbook-tools/
Source:        ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/docbook-utils-%{version}.tar.gz
Source1:       gdp-both.dsl
Source2:       docbook2man-spec.pl
Patch0:        %{name}-0.6.14-sgml_catalog.patch
Patch2:        docbook-utils-0.6.14-spaces.patch
Patch3:        docbook-utils-0.6.14-2ndspaces.patch
Patch4:        docbook-utils-0.6.14-w3mtxtconvert.patch
Patch5:        docbook-utils-0.6.14-grepnocolors.patch
Patch6:        docbook-utils-0.6.14-sgmlinclude.patch
Patch7:        docbook-utils-0.6.14-rtfmanpage.patch
Patch8:        docbook-utils-0.6.14-papersize.patch
Patch9:        docbook-utils-0.6.14-nofinalecho.patch
Patch10:       docbook-utils-0.6.14-newgrep.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-SGMLSpm
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: OpenSP
BuildRequires: jadetex
BuildRequires: sgml-common
BuildRequires: docbook-dtds
BuildRequires: docbook-dsssl
BuildRequires: openjade
Requires:      OpenSP
Requires:      openjade
Requires:      docbook-dtds
Requires:      docbook-xsl
Requires:      docbook-dsssl
Requires:      /usr/bin/sgmlspl
Provides:      docbook2man-sgmlspl
Obsoletes:     docbook2man-sgmlspl <= 0.6.14-5mamba

%description
Shell scripts to manage DocBook documents.

%prep
%setup -q
#%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%configure

%make -j1 docdir=%{_docdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall docdir=%{_docdir}

for util in dvi html pdf ps rtf; do
	ln -s docbook2$util %{buildroot}%{_bindir}/db2$util
	ln -s jw.1.gz %{buildroot}%{_mandir}/man1/db2$util.1
done
ln -s jw.1.gz %{buildroot}%{_mandir}/man1/docbook2txt.1

install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -p -m 755 %{SOURCE2} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl
 
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/docbook2dvi
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2pdf
%{_bindir}/docbook2ps
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2*
%{_bindir}/jw
%{_bindir}/sgmldiff
%{_datadir}/sgml/docbook/utils-%{version}/backends/*
%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
%{_datadir}/sgml/docbook/utils-%{version}/frontends/docbook
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-*spec.pl
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2texi-*spec.pl
%dir %{_docdir}/html/docbook-utils-%{version}
%{_docdir}/html/docbook-utils-%{version}/*
%{_mandir}/man1/docbook2dvi.1.*
%{_mandir}/man1/docbook2html.1.*
%{_mandir}/man1/docbook2man.1.*
%{_mandir}/man1/docbook2pdf.1.*
%{_mandir}/man1/docbook2ps.1.*
%{_mandir}/man1/docbook2rtf.1.*
%{_mandir}/man1/docbook2tex.1.*
%{_mandir}/man1/docbook2texi.1.*
%{_mandir}/man1/docbook2man-spec.pl.1*
%{_mandir}/man1/docbook2texi-spec.pl.1*
%{_mandir}/man1/docbook2txt.1*
%{_mandir}/man1/db2*.1*
%{_mandir}/man1/jw.1*
%{_mandir}/man1/sgmldiff.1*
%{_mandir}/man7/backend-spec.7*
%{_mandir}/man7/frontend-spec.7*
%doc AUTHORS COPYING
#ChangeLog NEWS README TODO

%changelog
* Sun Oct 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-8mamba
- also replace docbook-utils.dsl and docbook2man-spec.pl from Fedora

* Wed Jun 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-7mamba
- added fedora patches

* Tue Jun 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-6mamba
- rebuilt

* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-5mamba
- rebuilt

* Thu Dec 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-4mamba
- added patch to work with grep 2.7

* Wed Jun 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-3mamba
- added requirement for /usr/bin/sgmlspl

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-2mamba
- added patch for use of /etc/sgml/catalog as catalog

* Tue Sep 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.14-1mamba
- package created by autospec
